summaryrefslogtreecommitdiffstats
path: root/base/fcron/fcron
diff options
context:
space:
mode:
authorThierry N <thierryn1 at hispeed dot ch>2009-08-08 18:45:31 +0200
committerThierry N <thierryn1 at hispeed dot ch>2009-08-08 18:45:31 +0200
commit6762ffec8bf9b15e7f8b8f8d40976b1972879da3 (patch)
tree6cc8bf9bc7a00fdc90c575b2cf86319b3806021a /base/fcron/fcron
parent1654efe9275cd3427a839cfd201d1c3b1b5a6edd (diff)
downloadnutyx-extra-6762ffec8bf9b15e7f8b8f8d40976b1972879da3.tar.gz
nutyx-extra-6762ffec8bf9b15e7f8b8f8d40976b1972879da3.tar.bz2
nutyx-extra-6762ffec8bf9b15e7f8b8f8d40976b1972879da3.tar.xz
nutyx-extra-6762ffec8bf9b15e7f8b8f8d40976b1972879da3.zip
Ajout de fcron#3.0.4-1
Diffstat (limited to 'base/fcron/fcron')
-rw-r--r--base/fcron/fcron45
1 files changed, 45 insertions, 0 deletions
diff --git a/base/fcron/fcron b/base/fcron/fcron
new file mode 100644
index 000000000..823b4cd0a
--- /dev/null
+++ b/base/fcron/fcron
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Begin $rc_base/init.d/fcron
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans - gerard@linuxfromscratch.org
+
+#$LastChangedBy: bdubbs $
+#$Date: 2005-08-01 14:29:19 -0500 (Mon, 01 Aug 2005) $
+
+. /etc/sysconfig/rc
+. $rc_functions
+newgroup=fcron
+newuser=fcron
+newid=22
+getent group $newgroup > /dev/null || /usr/sbin/groupadd -g $newid $newgroup
+getent passwd $newuser > /dev/null || /usr/sbin/useradd -g $newgroup \
+-u $newid -d /dev/null -s /bin/false -c "Fcron User" $newuser
+case "$1" in
+ start)
+ boot_mesg "Starting fcron..."
+ loadproc /usr/sbin/fcron
+ ;;
+
+ stop)
+ boot_mesg "Stopping fcron..."
+ killproc /usr/sbin/fcron
+ ;;
+
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+
+ status)
+ statusproc /usr/sbin/fcron
+ ;;
+
+ *)
+ echo "Usage: $0 {start|stop|restart|status}"
+ exit 1
+ ;;
+esac
+
+# End $rc_base/init.d/fcron